GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions
grpc::CallOpSendMessage Class Reference

`#include <call.h>`

## Public Member Functions
| CallOpSendMessage ()
template<class M >
Status | SendMessage (const M &message, const WriteOptions &options) GRPC_MUST_USE_RESULT
| Send message using options for the write. More...
template<class M >
Status | SendMessage (const M &message) GRPC_MUST_USE_RESULT

## Protected Member Functions
void | AddOp (grpc_op *ops, size_t *nops)
void | FinishOp (bool *status, int max_message_size)

## Constructor & Destructor Documentation

grpc::CallOpSendMessage::CallOpSendMessage | ( |  | ) |
| inline

## Member Function Documentation

void grpc::CallOpSendMessage::AddOp | ( | grpc_op * | ops,
|  | size_t * | nops
| ) |  |
| inline protected

void grpc::CallOpSendMessage::FinishOp | ( | bool * | status,
|  | int | max_message_size
| ) |  |
| inline protected

template<class M >

Status grpc::CallOpSendMessage::SendMessage | ( | const M & | message,
|  | const WriteOptions & | options
| ) |  |

Send message using options for the write.

The options are cleared after use.

template<class M >

Status grpc::CallOpSendMessage::SendMessage | ( | const M & | message | ) |

The documentation for this class was generated from the following file:

- include/grpc++/impl/call.h